include(../../env.pri)
QT       += core gui widgets dbus

TARGET = shortcutPanel

TEMPLATE = lib

CONFIG += plugin

CONFIG += c++11 link_pkgconfig

PKGCONFIG +=gio-2.0 glib-2.0 gio-unix-2.0
LIBS += -lX11 -lgio-2.0 -lgobject-2.0 -lglib-2.0 -lukui-com4c -lukui-com4cxx -ldconf

#DESTDIR = ../ukui-quick-operation-panel
RESOURCES  += shortcutPanelPlugin.qrc
PKGCONFIG  += gsettings-qt
#LIBS          +=  -L$$[QT_INSTALL_LIBS] -ldconf
# The following define makes your compiler emit warnings if you use
# any Qt feature that has been marked deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    ../../commondata.cpp \
    ../../dataprocess.cpp \
    ../../dbusmanager.cpp \
    ../../gsettingmanager.cpp \
    ../../platforminfo.cpp \
    accountinformation.cpp \
    customstyle_switchNormalStatus.cpp \
    powershow.cpp \
    quickoperationdbus.cpp \
    scrollingareawidgetmajor.cpp \
    swichButtonOpenStatus.cpp \
    shortcutpanelplugin.cpp \
    templatewidget.cpp \
    weatherwidget.cpp \
    wifiwidget.cpp  \
    bluetoothwidgetModify.cpp

HEADERS += \
    ../../commondata.h \
    ../../dataprocess.h \
    ../../dbusmanager.h \
    ../../gsettingmanager.h \
    ../../platforminfo.h \
    accountinformation.h \
    customstyle_switchNormalStatus.h \
    powershow.h \
    quickoperationdbus.h \
    scrollingareawidgetmajor.h \
    swichButtonOpenStatus.h \
    shortcutpanelplugin.h \
    templatewidget.h \
    weatherwidget.h \
    wifiwidget.h \
    bluetoothwidgetModify.h

INCLUDEPATH    += ../../plugin-interface \
                    /usr/include/dconf

DISTFILES += shortcutPanelPlugin.json \
             image/arrow.svg \
             data/org.ukui.quick.operation.panel.gschema.xml

schemes.files += data/org.ukui.quick.operation.panel.gschema.xml
schemes.path = /usr/share/glib-2.0/schemas/

TRANSLATIONS   += ../../../translations/ukui-quick-operation-panel/ukui-quick-operation-panel_zh_CN.ts \
                  ../../../translations/ukui-quick-operation-panel/ukui-quick-operation-panel_bo_CN.ts

translation.path = /usr/share/ukui-sidebar/ukui-quick-operation-panel
translation.files += ../../../translations/ukui-quick-operation-panel/*.qm

# Default rules for deployment.
unix {
    target.path = $${PLUGIN_INSTALL_DIRS}
    INSTALLS += target schemes translation
}
#!isEmpty(target.path): INSTALLS += target
